import React, { useEffect, useState } from "react";
import "./App.css";
import Client from "mtproton/envs/browser";

function App() {
  let [countriesList, setcountriesList] = useState([]);

  useEffect(() => {
    let client = new Client({
      api_id: 18987971,
      api_hash: "fcfd9e6ed3f9e48a360bb57cc0d59d98",
    });
    client.call("help.getCountriesList").then((result: any) => {
      console.log("country:", result);
      result.countries.map((country: any) => {
        // @ts-ignore
        setcountriesList((oldArray) => [
          ...oldArray,
          country.default_name + ": " + country.country_codes[0].country_code,
        ]);
        return true;
      });
    });
  }, []);

  // client
  //   .invoke({
  //     _: "getCountryCode",
  //   })
  //   .then((res) => {
  //     console.log(res);
  //   });

  return (
    <div className="App">
      {countriesList.map((country: any, index) => {
        return (
          <div key={index}>
            {country}
            <br />
          </div>
        );
      })}
    </div>
  );
}

export default App;
